
Redmine - Feature #664

User can choose what page he want's to be Start page

2008-02-14 12:15 - Gunars Grundstoks

Status: New Start date: 2008-02-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Redmine need a feature when user can choose which would be start page - project page, overview page or MY PAGE. If user are

not choosen which will be a Start page that settings are taking from global administration.

Related issues:

Related to Redmine - Feature #1233: change default homepage to My page New 2008-05-13

Is duplicate of Redmine - Feature #6464: Ability to set landing page after login Closed 2010-09-22

History

#1 - 2008-02-16 19:52 - Jean-Philippe Lang

- Category changed from Administration to UI

What does 'Start page' means for you ? The page that is displayed after the user has logged in ?

#2 - 2008-02-18 07:24 - Gunars Grundstoks

Yes

#3 - 2008-04-07 09:45 - jongyoon Choi

I think the 'Start page' will be useful.

But after logged in, to select start page is difficult when the user included in many projects.

so, I recommend you to divide this with two viewpoints.

1. User can select default project at My account menu.

2. Project administrator can choose start page of project.

3. Now, Redmine can show the customized 'start page' after logged in.

What do you think about this?

#4 - 2009-09-06 06:39 - jason axelson

I'd like to add that I would also like this feature, especially so that once user's login they can be pushed to their personalized pages which (by default)

include a list of all tickets they are responsible for.

#5 - 2009-09-06 08:23 - Eric Davis

- Due date deleted (2008-02-21)

- Priority changed from High to Normal

Could someone could build a plugin for this to show a sample implementation?  I'm pretty sure all the API is available in trunk and 0.8-stable.

#6 - 2010-09-24 13:31 - Sebastian M.

+1

#7 - 2014-05-02 19:01 - Vinicius Ferreira

+1 Really needed

#8 - 2014-05-14 18:34 - Nathan Eddle

+1 because this is indeed very much needed.
#9 - 2014-06-02 10:44 - Radek  Terber

+1 I would highly appreciate this feature

#10 - 2014-08-28 09:24 - Minu Moto

+1

#11 - 2014-08-28 09:46 - Arlene moyers

- File images (8).jpg added

#12 - 2014-08-28 09:48 - Arlene moyers

- File images (9).jpg added

#13 - 2014-09-24 18:33 - Toshi MARUYAMA

- File deleted (images (8).jpg)

#14 - 2014-09-24 18:33 - Toshi MARUYAMA

- File deleted (images (9).jpg)

#15 - 2022-02-08 06:01 - Mizuki ISHIKAWA

- File feature-664.patch added

- File settings.png added

 settings.png 

I have attached the patch.

This is a simple patch that gives the Start Page three options: Home, Project, and My Page.

At the moment, I have only added application settings, but it is functionally possible to support settings for each user in the future.

#16 - 2022-03-11 03:13 - Go MAEDA

- Target version set to Candidate for next major release

Files

feature-664.patch 8.57 KB 2022-02-08 Mizuki ISHIKAWA

settings.png 201 KB 2022-02-08 Mizuki ISHIKAWA
